﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Livet;

namespace LivetSampleProject.Models
{
    public class Member : NotificationObject
    {
        //プロパティはコードスニペットlpropを使用して定義しています

        public Member(Main parent)
        {
            Main = parent;
        }

        public Main Main { get; private set; }
        
        string _Name;
        public string Name
        {
            get
            { return _Name; }
            set
            {
                if (_Name == value)
                    return;
                _Name = value;
                RaisePropertyChanged("Name");
            }
        }

        
        DateTime _Birthday;
        public DateTime Birthday
        {
            get
            { return _Birthday; }
            set
            {
                if (_Birthday == value)
                    return;
                _Birthday = value;
                RaisePropertyChanged("Birthday");
            }
        }

        
        string _Memo;
        public string Memo
        {
            get
            { return _Memo; }
            set
            {
                if (_Memo == value)
                    return;
                _Memo = value;
                RaisePropertyChanged("Memo");
            }
        }

        public bool IsIncludedInMainCollection
        {
            get
            {
                return Main.Members.Contains(this);
            }
        }

        public void AddThisToMainCollection()
        {
            Main.Members.Add(this);
        }

        public void RemoveThisFromMainCollection()
        {
            Main.Members.Remove(this);
        }
      
      
      
    }
}
